#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0xf21a7d52, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x1834c7ad, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x65597f48, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x83569dfb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb693472a, "percpu_free_rwsem" },
	{ 0xd38ae186, "tty_set_termios" },
	{ 0x90fd42b, "device_property_present" },
	{ 0x46a23c0c, "is_acpi_device_node" },
	{ 0x868e355c, "device_set_wakeup_capable" },
	{ 0x7d411144, "devm_request_threaded_irq" },
	{ 0x985ea3be, "percpu_down_write" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0xe64d4035, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x1b626b99, "tty_register_ldisc" },
	{ 0x3414db6d, "serdev_device_set_baudrate" },
	{ 0x1a968b39, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd596d55b, "hci_free_dev" },
	{ 0xd884941, "platform_get_irq" },
	{ 0xb27dff4d, "btbcm_finalize" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x516fdb86, "skb_dequeue" },
	{ 0xd9437c0d, "pm_runtime_set_autosuspend_delay" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x63fe585b, "gpiod_set_value_cansleep" },
	{ 0x8df99ad7, "btbcm_initialize" },
	{ 0x6c8410c5, "serdev_device_set_flow_control" },
	{ 0xb7c91f1b, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf17ad825, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c0c94c6, "serdev_device_open" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5a806a6, "dev_kfree_skb_irq_reason" },
	{ 0xbf2149e1, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x9a15f970, "__dynamic_dev_dbg" },
	{ 0x6bc98ccc, "devm_clk_get" },
	{ 0x49746ee0, "skb_queue_purge_reason" },
	{ 0xe6cab950, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6e3b4aeb, "acpi_dev_get_resources" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x352bce79, "devm_free_irq" },
	{ 0xca817bde, "tty_driver_flush_buffer" },
	{ 0xae1e34de, "pm_runtime_enable" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0x711bcd8c, "regulator_bulk_disable" },
	{ 0x3234356f, "device_property_read_u32_array" },
	{ 0x62901da0, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d9eca64, "skb_queue_tail" },
	{ 0xf881616e, "device_wakeup_disable" },
	{ 0x44768c01, "btbcm_read_pcm_int_params" },
	{ 0x678c162b, "percpu_up_write" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3675bfc2, "devm_acpi_dev_add_driver_gpios" },
	{ 0x18d5f995, "_dev_err" },
	{ 0xdb3d85e4, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9bd21645, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xbc417fb2, "device_property_read_u8_array" },
	{ 0x3fb86a6d, "devm_clk_put" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0xc9902799, "serdev_device_write_flush" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x2f2d5619, "irq_get_irq_data" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x7ecd3182, "skb_push" },
	{ 0x299d6e91, "n_tty_ioctl_helper" },
	{ 0x736d5a06, "driver_unregister" },
	{ 0xa10ce6f5, "tty_ldisc_flush" },
	{ 0x9331053a, "__percpu_init_rwsem" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbc1fb189, "__serdev_device_driver_register" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x4a82bb61, "_dev_warn" },
	{ 0xba71724a, "device_get_match_data" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x6fec9e00, "acpi_match_device" },
	{ 0xa63c6224, "serdev_device_set_tiocm" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x76f70bee, "regulator_bulk_enable" },
	{ 0x9c06d5a1, "devm_regulator_bulk_get" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x4da29478, "serdev_device_write_buf" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0b8012e, "tty_unregister_ldisc" },
	{ 0xffb0c5f6, "__platform_driver_register" },
	{ 0xd4a84c4, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x7fc8f480, "__pm_runtime_resume" },
	{ 0xe2ef5c4, "hci_recv_frame" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xd690c300, "of_irq_get_byname" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb3780830, "param_ops_bool" },
	{ 0x162ea532, "serdev_device_close" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x38290aa8, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x85c11774, "btbcm_write_pcm_int_params" },
	{ 0x25b91922, "btbcm_set_bdaddr" },
	{ 0x1544cb8, "tty_unthrottle" },
	{ 0x2d06305d, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x5f906510, "btbcm_check_bdaddr" },
	{ 0x80032045, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xd13aa374, "__pm_runtime_suspend" },
	{ 0x5a797c9f, "hci_register_dev" },
	{ 0xd8f0a033, "__pm_runtime_use_autosuspend" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x118745e9, "param_ops_int" },
	{ 0xcd7c7bbd, "__hci_cmd_sync" },
	{ 0x14d8787f, "of_device_get_match_data" },
	{ 0x469cbb, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xc5d7f8c4, "hci_recv_diag" },
	{ 0xbdcc7a6f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btbcm");

MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0C*");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-bt");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-btC*");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-bt");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-btC*");

MODULE_INFO(srcversion, "DA98F97DBBDC7431CD0F1CE");
MODULE_INFO(rhelversion, "9.6");
