#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x0ff690f6, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xa9454d63, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x35e01fbd, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x2c8cf3e5, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x211fb30c, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x8601f52b, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x9b2df0d2, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x83397de3, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x59e4399c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x555a3ed5, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7efe9ab8, "netdev_err" },
	{ 0xd2a224cc, "idr_remove" },
	{ 0x7e029dbe, "skb_copy_datagram_iter" },
	{ 0xdf89d9df, "_copy_to_iter" },
	{ 0xccb3524a, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xd9cb2efe, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb19d564b, "cdev_init" },
	{ 0xb192ee18, "cdev_add" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3eeccf02, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x1553ec39, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ecd3182, "skb_push" },
	{ 0x91eb2b0d, "__skb_gso_segment" },
	{ 0x37a55edb, "kfree_skb_list_reason" },
	{ 0x13097990, "skb_checksum_help" },
	{ 0x3af2349, "__skb_get_hash_net" },
	{ 0x7b668b0b, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x86763525, "idr_find" },
	{ 0x8905ee40, "sk_alloc" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x1ad3e02, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x183b46e9, "__skb_flow_dissect" },
	{ 0x38eb37ea, "skb_partial_csum_set" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0xbbcec555, "iov_iter_npages" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0x524eae02, "sock_alloc_send_pskb" },
	{ 0xe64d4035, "skb_put" },
	{ 0x18462dbb, "zerocopy_sg_from_iter" },
	{ 0x332bd2e0, "__dev_queue_xmit" },
	{ 0x36ce101f, "skb_copy_datagram_from_iter" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0xd9a066c6, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe19cb54a, "dev_set_mac_address_user" },
	{ 0xa3c60055, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.6");
