#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x4649fd66, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x33d3447a, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x0372cd8d, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x1536d64a, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xb987aaea, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x8cc8ea47, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x5789793e, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x4af98fec, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xbfc529e7, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xd71e0ad9, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x6de12b74, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xe41eacaf, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x08a83f17, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x29376456, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xa66a16de, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x8db1706f, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x7a9e0425, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x5c6f9d0d, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x0b1c09ac, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x1a3f61ad, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x83b276e8, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x8950cdbf, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x8d2f8359, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xa002d869, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x1aa48904, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xbe55b2a8, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xda8f2bd9, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x7e6612c3, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x63babd7e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x9bf91cf1, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xb7e06f84, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xb955598a, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x4ccf433d, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x2e816bc2, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xb74dd8f9, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x749d3b7d, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x9b9e69ae, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xd5f455be, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xa8160f5c, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xb2c45b4a, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xeae06b15, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x0e855f0e, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xec802dd5, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x0c15fbf2, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x6c15778b, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xe48202d8, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x06bae418, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xbb63cdd1, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xa438c0a2, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xbe05facb, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xc4a6b318, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xcfc6eea9, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x26c5506d, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x0e61553e, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xce5a67c4, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xccae27f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xb9e8f331, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x76eb91b3, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x23add4ce, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x792835d1, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xc2ccba60, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x49f1d8c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddccdb8, "set_capacity_and_notify" },
	{ 0x98849006, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1b42b65, "set_disk_ro" },
	{ 0xce4486a8, "__blk_alloc_disk" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdfdea9d5, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0xc7d7e79c, "device_remove_file_self" },
	{ 0xc70aee10, "param_ops_uint" },
	{ 0x2ac9c2be, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb3f34b17, "dev_set_name" },
	{ 0x8e9791de, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x7b7195df, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x7b8839cb, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1dd9c732, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf200fa3d, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0x39d9e971, "queue_limits_stack_bdev" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xefdbd851, "device_initialize" },
	{ 0xe141a891, "blk_mq_unquiesce_queue" },
	{ 0x159ac1c0, "blk_mq_quiesce_queue" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xca2b6eae, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x1cc6b00a, "__traceiter_block_bio_remap" },
	{ 0x38c6180d, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7014d985, "bpf_trace_run2" },
	{ 0x6925a3cc, "prepare_to_wait_event" },
	{ 0x56fb7c58, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0x28705c56, "synchronize_srcu" },
	{ 0x7bbf7ab, "param_ops_byte" },
	{ 0xcc779ee4, "kmem_cache_create" },
	{ 0x970b665a, "get_device" },
	{ 0xeef456e9, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb83c1d5f, "__blk_mq_alloc_disk" },
	{ 0x9a15f970, "__dynamic_dev_dbg" },
	{ 0x6a037c61, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4196758f, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x59a63a0, "blk_mq_alloc_tag_set" },
	{ 0x71b3f72c, "blk_rq_is_poll" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x2521a0c9, "mempool_create" },
	{ 0xcab5e4d5, "put_disk" },
	{ 0x6d7a962, "crypto_alloc_kpp" },
	{ 0x4b5b235f, "cdev_device_add" },
	{ 0x4fdd1144, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xddf4249b, "blk_execute_rq" },
	{ 0x62b030a2, "put_device" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x690cf1fc, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xf492dc1b, "kmalloc_node_trace" },
	{ 0xfdc865c5, "mempool_alloc" },
	{ 0x1adb43df, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xd8a9f5f5, "__free_pages" },
	{ 0x62901da0, "_dev_info" },
	{ 0xade0e513, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x29c9679c, "module_put" },
	{ 0x331a96c6, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdd666009, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1bdc70bc, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xfec2b0ce, "blk_mq_quiesce_tagset" },
	{ 0x6ac918a, "kobject_uevent_env" },
	{ 0xc6e42a9b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2683a71b, "init_srcu_struct" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0x18d5f995, "_dev_err" },
	{ 0x752ed91e, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8ddaf503, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4a644c2f, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5efe0ca9, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6587dde3, "sysfs_remove_link" },
	{ 0x2fed955b, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7aa8822f, "__srcu_read_lock" },
	{ 0x3aa25173, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x892b7767, "submit_bio_noacct" },
	{ 0xe45f1327, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x521a43b4, "blk_sync_queue" },
	{ 0xc512777a, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc11047cc, "blk_mq_alloc_request_hctx" },
	{ 0xbd1b533f, "blk_mq_alloc_request" },
	{ 0xcb149792, "ida_free" },
	{ 0xfae272cf, "crypto_shash_update" },
	{ 0xa2b6863d, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8a5305ab, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd2732b42, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9cb6c94, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x625d0fba, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x335c4aea, "blk_put_queue" },
	{ 0xea7ca23a, "bpf_trace_run1" },
	{ 0x212b2694, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a82bb61, "_dev_warn" },
	{ 0x8a44ba24, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x87c91793, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbf8f9f2d, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xce746ea8, "xa_erase" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc9d74402, "blk_mq_complete_request" },
	{ 0x79105f2f, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x7ea75205, "crypto_shash_final" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb3780830, "param_ops_bool" },
	{ 0x88fb81e2, "blk_mq_destroy_queue" },
	{ 0x19ea6d38, "xa_destroy" },
	{ 0x2c3368b4, "blk_freeze_queue_start" },
	{ 0xfa2fb7cc, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x4b9b2030, "xa_find" },
	{ 0x7b0b2a2c, "alloc_pages" },
	{ 0x64809914, "mempool_destroy" },
	{ 0x2f6f6da5, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x2b349d4, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xab014c8e, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x76cc5f39, "blk_mq_unfreeze_queue" },
	{ 0xb628cbe8, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa43a657a, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb5f84747, "xa_find_after" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x88d5997e, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8bf08bb1, "crypto_alloc_shash" },
	{ 0x6c7c47cd, "blk_mq_freeze_queue_wait" },
	{ 0x4abbf020, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1d7dc3ed, "blk_mq_requeue_request" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x46dcabfc, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb19d564b, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf97c38b, "bdev_end_io_acct" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xa1a6b26c, "blk_steal_bios" },
	{ 0xb71a20d7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "F02EA9D30425E87D0B882CD");
MODULE_INFO(rhelversion, "9.6");
