#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x0f872c9c, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x56929f3c, "_gpl");
SYMBOL_CRC(sas_free_task, 0xcc0bcc0c, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x4933ee7f, "");
SYMBOL_CRC(sas_resume_ha, 0xf10479ed, "");
SYMBOL_CRC(sas_suspend_ha, 0x23d3b47c, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x2588da61, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x05be1523, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xeb1d3a0d, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x5bcf67c4, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x97abb88d, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xf955f0e9, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xe94de87a, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xf0c469bd, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x7d3ffe23, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x4155fbe7, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xd66309f2, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x14652d6b, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x8e7d87ab, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x391545c2, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x0b24e507, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xa7c0e1bc, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x2dd06c52, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x26ee5434, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x12de5fe0, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x3f0c3f5d, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xbc57f4e1, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x8b790de1, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x163716e9, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x62c27386, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9ab282, "ata_qc_complete" },
	{ 0x8b1950d9, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6cead139, "sas_rphy_remove" },
	{ 0x5903a64, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa297c42, "ata_sas_port_destroy" },
	{ 0x174e86e4, "bsg_job_done" },
	{ 0x6c76d903, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x58581780, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x3e74583, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0xa2f18e89, "scsi_schedule_eh" },
	{ 0xddff97be, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x1ee91d46, "ata_host_init" },
	{ 0x1d9cabb6, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x6823925f, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x41ec0fce, "sas_port_get_phy" },
	{ 0x8d947f34, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x6925a3cc, "prepare_to_wait_event" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xcc779ee4, "kmem_cache_create" },
	{ 0x970b665a, "get_device" },
	{ 0xbb043632, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9770e736, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x62b030a2, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x892e1e93, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x3109a73, "kmem_cache_alloc" },
	{ 0x62901da0, "_dev_info" },
	{ 0x86996350, "sas_phy_free" },
	{ 0x9e1de6c2, "scsi_eh_finish_cmd" },
	{ 0x8081e5fc, "ata_sas_port_alloc" },
	{ 0x30ac37e1, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2192d1aa, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xd69c1a8b, "sas_port_mark_backlink" },
	{ 0x27995a6e, "kmem_cache_free" },
	{ 0x3eb5c338, "ata_std_qc_defer" },
	{ 0x64feb5e7, "ata_sas_port_start" },
	{ 0x232ecc81, "ata_scsi_port_error_handler" },
	{ 0xffa15ee, "ata_change_queue_depth" },
	{ 0x97aad37b, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3af11216, "sas_end_device_alloc" },
	{ 0x3ee155b4, "mutex_lock_interruptible" },
	{ 0x605ddeeb, "sas_read_port_mode_page" },
	{ 0xe97f4869, "sas_expander_alloc" },
	{ 0xd2ba247b, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a82bb61, "_dev_warn" },
	{ 0xe9e078c8, "sas_rphy_delete" },
	{ 0x39534a5e, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x51d0a94a, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xc4767c, "scsi_host_busy" },
	{ 0xb0a0e1f4, "ata_sas_async_probe" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xe501a6ca, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x190e1439, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b921aea, "ata_sas_port_suspend" },
	{ 0x80643f8b, "sas_rphy_add" },
	{ 0xd3daf347, "sas_port_delete_phy" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8b864e82, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa884f462, "sas_port_add_phy" },
	{ 0x395cbca0, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x4f699b68, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2496a6a4, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd0e8e8f9, "ata_host_put" },
	{ 0x5f5d2264, "sas_port_free" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x6095bef3, "ata_std_sched_eh" },
	{ 0x3f0cc872, "scsi_block_requests" },
	{ 0x41ba8175, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xa2abef6a, "sas_remove_children" },
	{ 0x4a6339be, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffac9f13, "ata_port_wait_eh" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xb71a20d7, "kmem_cache_destroy" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
