#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_purge_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_drop_unencrypted_mgmt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_mtx, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee802_11_parse_elems_full, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_chandef_subchan_offset, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_rearrange_tpe_psd, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_send_teardown_neg_ttlm, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x4845b5ce, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0x1c5dc960, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0x157b455f, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0x32686b1d, "");
SYMBOL_CRC(ieee80211_restart_hw, 0xb11b8b68, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0xd29e7238, "");
SYMBOL_CRC(ieee80211_register_hw, 0xcc52629a, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0xc2853406, "");
SYMBOL_CRC(ieee80211_free_hw, 0xa4850cc4, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0x214e9ec4, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0xc92e3267, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0x516b1660, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0xcff88458, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0x32219693, "");
SYMBOL_CRC(ieee80211_free_txskb, 0x7d779c50, "");
SYMBOL_CRC(ieee80211_purge_tx_queue, 0x9f108605, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x2f454217, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0xa2050081, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x69509299, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0x328dbea6, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x5b67576f, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x649241d3, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0x65580f4b, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0x4ae8caa7, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0x4f33d1d5, "");
SYMBOL_CRC(ieee80211_scan_completed, 0xacddc15d, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0xe10b9f5d, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x4d72d13c, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x737b34b6, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0xca89c685, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0xb536b184, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0xf6060c12, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0x3f1b72b4, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0xaf9e534c, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0x61e6271d, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0xf18d82ec, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0xaeb98a5e, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0xe8560198, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0x4d5167d6, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0x24993680, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x0a736fe6, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0xa351ecf8, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0x8cbc73ec, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0x8aee36ed, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x2c1e17c2, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0x037128db, "");
SYMBOL_CRC(rate_control_set_rates, 0x20dd752b, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x372267ba, "");
SYMBOL_CRC(ieee80211_csa_finish, 0xd9eb2768, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0xfe3c98a4, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0x3e5bac7b, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0xe462817c, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0xacc44fde, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0x9a052515, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x42c9a3f7, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0xc3858fb3, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0x1569940e, "");
SYMBOL_CRC(ieee80211_drop_unencrypted_mgmt, 0xc111b6f1, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0xa930adda, "");
SYMBOL_CRC(ieee80211_rx_list, 0x6f51dc3c, "");
SYMBOL_CRC(ieee80211_rx_napi, 0xfef25f05, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0xb803f3d6, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x67cacdb4, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0xda193493, "");
SYMBOL_CRC(ieee80211_next_txq, 0xae162a4a, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0x1efb64ef, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0xd8b4bf0a, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0xf21e14ca, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0x31eb2da2, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0xbf02db51, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x22f687e2, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x013c0013, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0x99243858, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0xb75fd3f2, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0xc8f91386, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0x511f29e6, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0x2998edfc, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x4c3a91f1, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x56202fd1, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0x974a9ef9, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0xb30ea04d, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0xf1b0414d, "");
SYMBOL_CRC(ieee80211_probereq_get, 0x30dec8f4, "");
SYMBOL_CRC(ieee80211_rts_get, 0x1fb544b5, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0x9f70c471, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0x8966bc95, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0xe05f44b7, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0xba1edeae, "");
SYMBOL_CRC(ieee80211_iter_keys, 0xefa830ee, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0xc177e6cb, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xe91f9b82, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0xe9238966, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0xff4c5264, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0x5dcb7405, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xd6888cba, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0x82bc5abf, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0xceca57e7, "");
SYMBOL_CRC(ieee80211_wake_queue, 0xeb3f258d, "");
SYMBOL_CRC(ieee80211_stop_queue, 0x7d0dd73e, "");
SYMBOL_CRC(ieee80211_stop_queues, 0xadc4af99, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0x8d497d90, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x6f8dfa08, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0x1f2e8f42, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0xe9eb7604, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0x447ebb15, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0x410cbe0f, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_mtx, 0x2994f3a8, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0x17ea921f, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0x4daa22b6, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0x02e4d689, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0xff16a25f, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0xfdb512aa, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0xb0e72cfd, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0x6fb1ad80, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0xd3523a8b, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0xdca0f8b3, "");
SYMBOL_CRC(ieee802_11_parse_elems_full, 0x34e2481d, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0x71a2f050, "_gpl");
SYMBOL_CRC(ieee80211_calc_chandef_subchan_offset, 0xecb18574, "");
SYMBOL_CRC(ieee80211_rearrange_tpe_psd, 0x3431026d, "");
SYMBOL_CRC(ieee80211_chswitch_done, 0x610d1850, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0xcb67a9b8, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0xfb1f865e, "");
SYMBOL_CRC(ieee80211_connection_loss, 0xad68421f, "");
SYMBOL_CRC(ieee80211_disconnect, 0xef7f1f41, "");
SYMBOL_CRC(ieee80211_send_teardown_neg_ttlm, 0x35784d8a, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x686a6862, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0x48d60e37, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0x7f0ac6f8, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0xcef01cb8, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0x6c2ad546, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0xecbee9e6, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0x75cc657f, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0x074fdce9, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0xbb2e77a6, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0xc2707384, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x1ca114b4, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0xb3cdfce7, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0x4365e3a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e91304a, "crypto_skcipher_encrypt" },
	{ 0xc90201a7, "cfg80211_inform_bss_frame_data" },
	{ 0x2ff920c0, "cfg80211_sched_scan_results" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0x1df8a727, "skb_complete_wifi_ack" },
	{ 0xf389fe60, "__hw_addr_init" },
	{ 0x95a5c940, "cfg80211_mgmt_tx_status_ext" },
	{ 0xb0a95c79, "cfg80211_rx_assoc_resp" },
	{ 0xad133571, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0x86763525, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0xa8f84beb, "eth_mac_addr" },
	{ 0xe64d4035, "skb_put" },
	{ 0x50b7443e, "cfg80211_links_removed" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8336c6cc, "cfg80211_chandef_dfs_required" },
	{ 0xba66d214, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xdcbfd43, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x879b2a17, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe435c07a, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0xbae2ea4d, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf847ff3a, "cfg80211_bss_color_notify" },
	{ 0xdbc87386, "cfg80211_remain_on_channel_expired" },
	{ 0x2dab39d5, "bpf_trace_run6" },
	{ 0x366a8ee0, "cfg80211_cac_event" },
	{ 0x516fdb86, "skb_dequeue" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xd7941bc6, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0xdeef8381, "led_trigger_blink_oneshot" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0x356ca0fd, "ieee80211_amsdu_to_8023s" },
	{ 0x3e9110fa, "__hw_addr_unsync" },
	{ 0x9bf84586, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0xdcc13ff4, "dev_alloc_name" },
	{ 0xe27601f8, "___pskb_trim" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x646c544c, "cfg80211_iter_rnr" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x46eb0414, "crypto_alloc_aead" },
	{ 0x7014d985, "bpf_trace_run2" },
	{ 0x191cee41, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x34f8bdf2, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x641f3a79, "cfg80211_new_sta" },
	{ 0x11b6ea81, "crypto_skcipher_setkey" },
	{ 0x68592f90, "wiphy_delayed_work_pending" },
	{ 0x52c50c10, "netdev_set_default_ethtool_ops" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9a15f970, "__dynamic_dev_dbg" },
	{ 0x4d804b07, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0x83a1e817, "skb_csum_hwoffload_help" },
	{ 0x49746ee0, "skb_queue_purge_reason" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0x357ba07a, "eth_type_trans" },
	{ 0x2d4e9c6f, "alloc_netdev_mqs" },
	{ 0x14960fa2, "wiphy_new_nm" },
	{ 0x163614cf, "cfg80211_sta_opmode_change_notify" },
	{ 0x92997ed8, "_printk" },
	{ 0x33995586, "cfg80211_ready_on_channel" },
	{ 0x42ca0cd8, "cfg80211_reg_check_beaconing" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x942c8e9c, "cfg80211_classify8021d" },
	{ 0x7aab1862, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x919e23b8, "ieee80211_fragment_element" },
	{ 0xecc910da, "cfg80211_rx_mlme_mgmt" },
	{ 0xb8ffdf09, "wiphy_delayed_work_queue" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x32ef68a6, "crypto_skcipher_decrypt" },
	{ 0x5cea4338, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0x9815a994, "cfg80211_put_bss" },
	{ 0x761437a, "cfg80211_nan_func_terminated" },
	{ 0xdcc209dd, "cfg80211_ch_switch_notify" },
	{ 0x10e12a76, "idr_get_next" },
	{ 0x24d044c7, "cfg80211_tx_mlme_mgmt" },
	{ 0x62901da0, "_dev_info" },
	{ 0x5d7cc7f7, "napi_gro_receive" },
	{ 0xa7dd24c6, "cfg80211_gtk_rekey_notify" },
	{ 0xbb14681, "skb_copy_expand" },
	{ 0x3d9eca64, "skb_queue_tail" },
	{ 0x3e9a8148, "ieee80211_get_channel_khz" },
	{ 0x574fb5bf, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe7cc710d, "__cfg80211_radar_event" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc52dda77, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd2a224cc, "idr_remove" },
	{ 0x750992fe, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x3ba3690a, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa4c080bb, "crypto_aead_setkey" },
	{ 0x3af2349, "__skb_get_hash_net" },
	{ 0x8ef96a81, "kernel_param_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5b0a61c5, "cfg80211_rx_spurious_frame" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0x62248cf1, "cfg80211_ibss_joined" },
	{ 0x82219507, "cfg80211_nan_match" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8ddaf503, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0x9bd21645, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x430378bc, "cfg80211_iter_combinations" },
	{ 0x555a3ed5, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x78d83c99, "cfg80211_iftype_allowed" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8f039dc0, "crypto_aead_encrypt" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xff221107, "ieee80211_is_valid_amsdu" },
	{ 0xc487a649, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x5120b0bb, "cfg80211_michael_mic_failure" },
	{ 0x3674a421, "cfg80211_cqm_pktloss_notify" },
	{ 0x27653eeb, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0xfefd93c0, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x7ecd3182, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0xaad15f7, "cfg80211_del_sta_sinfo" },
	{ 0xed583703, "netif_receive_skb" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xc2c893e5, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa16218e8, "skb_ensure_writable" },
	{ 0x2709fa80, "wiphy_unregister" },
	{ 0x90805612, "free_netdev" },
	{ 0xfae272cf, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd06ba3d5, "wiphy_work_queue" },
	{ 0xf49de9c5, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcbe1a535, "ieee80211_radiotap_iterator_init" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x170834ec, "ieee80211_data_to_8023_exthdr" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4576c5e3, "ethtool_op_get_link" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xea7ca23a, "bpf_trace_run1" },
	{ 0x1553ec39, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x265b2914, "cfg80211_schedule_channels_check" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3397a055, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x43eb68c4, "kernel_param_unlock" },
	{ 0x74689ca4, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a82bb61, "_dev_warn" },
	{ 0xdf4d81fe, "wiphy_delayed_work_timer" },
	{ 0x6349cbf1, "cfg80211_chandef_usable" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0xa732d7cb, "wiphy_delayed_work_cancel" },
	{ 0x37a55edb, "kfree_skb_list_reason" },
	{ 0xf89b8c8, "cfg80211_cqm_beacon_loss_notify" },
	{ 0xfaa62c49, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x9cc24281, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x865029ac, "__hw_addr_sync" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0xf964ef93, "netif_rx" },
	{ 0x51d7107d, "__netdev_alloc_skb" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x864693d2, "cfg80211_ch_switch_started_notify" },
	{ 0xa3298dc4, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbfc6cf3b, "cfg80211_sched_scan_stopped_locked" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0xa602a1a3, "idr_for_each" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8d426b35, "cfg80211_unregister_wdev" },
	{ 0x332bd2e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbe9d0f9c, "cfg80211_probe_status" },
	{ 0x2595239f, "freq_reg_info" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x2d386709, "cfg80211_stop_iface" },
	{ 0x78afa49, "ieee80211_radiotap_iterator_next" },
	{ 0xf9c9ce37, "cfg80211_rx_mgmt_ext" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x3e2249e4, "crypto_shash_finup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb3780830, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdf512752, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa882232c, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79f7bfd2, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x21b38507, "led_trigger_register" },
	{ 0xd723b49, "skb_copy" },
	{ 0xc1c253b2, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x6171fb1, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xa72194d3, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x44e46b4d, "cfg80211_send_layer2_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc6f6d227, "dev_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x361848ae, "cfg80211_get_iftype_ext_capa" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x78540e76, "led_trigger_event" },
	{ 0x8011cef1, "cfg80211_shutdown_all_interfaces" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2bedad7a, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xaefdbc45, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x118745e9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x8bf08bb1, "crypto_alloc_shash" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x9ba78dad, "led_trigger_blink" },
	{ 0x53382dce, "cfg80211_radio_chandef_valid" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x91eb2b0d, "__skb_gso_segment" },
	{ 0x70d88b7, "cfg80211_unlink_bss" },
	{ 0x9fc5f73d, "__cfg80211_get_bss" },
	{ 0xb47a80b3, "wiphy_free" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x54d3a1a, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xdc2c3a03, "netdev_info" },
	{ 0xbdcc7a6f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd78020a0, "cfg80211_auth_timeout" },
	{ 0x420c7fc0, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x39d1d9d2, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "09810D0485D76FA07FC1154");
MODULE_INFO(rhelversion, "9.6");
