#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x491a6d24, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x12898717, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x8ce1329b, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x4179919b, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xcef3b4aa, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x2662140d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa079092, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xcf42734d, "nsh_pop" },
	{ 0x854644c1, "nf_conntrack_find_get" },
	{ 0xfd70bed5, "nf_ct_set_timeout" },
	{ 0x2a1c8880, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3dd7a02c, "dev_fill_metadata_dst" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9eb606cd, "nf_ct_handle_fragments" },
	{ 0xa8f84beb, "eth_mac_addr" },
	{ 0xe64d4035, "skb_put" },
	{ 0xbb9adb2c, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x720f570d, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd819b14a, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63f49a6e, "skb_eth_pop" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0xadc56f53, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xcc8aa35, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xfb4455fc, "nf_ct_helper" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x730dcda0, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0x918e2f81, "rtnl_delete_link" },
	{ 0xcdbc7460, "rtnl_link_register" },
	{ 0x13624115, "nf_connlabels_put" },
	{ 0x19b9a1fc, "genlmsg_put" },
	{ 0xe27601f8, "___pskb_trim" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa715234e, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xbda8a62f, "dev_set_promiscuity" },
	{ 0xeede926d, "nf_ct_destroy_timeout" },
	{ 0x5bf116ae, "nf_ct_add_helper" },
	{ 0x1cf1bf05, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xea5509d, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9a9b17c0, "nf_ct_skb_network_trim" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0x8e8ef16b, "unregister_netdevice_queue" },
	{ 0xcc779ee4, "kmem_cache_create" },
	{ 0x584a4ef6, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0x4d804b07, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60946b41, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0x83a1e817, "skb_csum_hwoffload_help" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0x6b5b1c7b, "nf_connlabels_replace" },
	{ 0x357ba07a, "eth_type_trans" },
	{ 0x2d4e9c6f, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd8238d2c, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x723b2936, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x1f48a2d8, "skb_eth_push" },
	{ 0xecf9fcc9, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3109a73, "kmem_cache_alloc" },
	{ 0x6176df78, "skb_mpls_pop" },
	{ 0x24036a0b, "skb_vlan_pop" },
	{ 0x9801e740, "dst_init" },
	{ 0x29c9679c, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3af2349, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3ff3301d, "rtnl_link_unregister" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0xa621b6b9, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x783098e, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9a55b9c8, "skb_mpls_update_lse" },
	{ 0x9bd21645, "skb_pull" },
	{ 0xf0170300, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x74273998, "netlink_unicast" },
	{ 0xc487a649, "bpf_trace_run5" },
	{ 0x8986e434, "dev_get_by_index_rcu" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x7ecd3182, "skb_push" },
	{ 0x27995a6e, "kmem_cache_free" },
	{ 0x95febde5, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0xa16218e8, "skb_ensure_writable" },
	{ 0x90805612, "free_netdev" },
	{ 0xd7a8b83c, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xfcbe1a38, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4576c5e3, "ethtool_op_get_link" },
	{ 0x810eaaa5, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x28b14333, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0x604c6bc6, "nf_ct_delete" },
	{ 0xcea6362c, "nf_conncount_init" },
	{ 0x8ea894ce, "skb_vlan_push" },
	{ 0xf649616f, "dev_get_tstats64" },
	{ 0xf964ef93, "netif_rx" },
	{ 0x51d7107d, "__netdev_alloc_skb" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x6e97cdd4, "netdev_master_upper_dev_link" },
	{ 0x3687acab, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc99a7352, "down_read" },
	{ 0x9ec88111, "inet_proto_csum_replace16" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb74af7f1, "skb_scrub_packet" },
	{ 0x70131d79, "nf_ct_deliver_cached_events" },
	{ 0x3942d6b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3737a56e, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x332bd2e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x549a67dd, "__skb_checksum" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa834155e, "inet_proto_csum_replace4" },
	{ 0x7755d7b6, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x71ebf607, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2820d70, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7d6dda67, "dev_get_by_name" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x16930a03, "metadata_dst_alloc" },
	{ 0x71fa37f2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95243c46, "peernet2id_alloc" },
	{ 0x7f3198ce, "nf_ct_get_tuplepr" },
	{ 0x4288743a, "netdev_rx_handler_register" },
	{ 0x46484c4, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x57336016, "genl_unregister_family" },
	{ 0xd04fd75c, "dev_disable_lro" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2bedad7a, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x670f4d7e, "genl_register_family" },
	{ 0x9c3be390, "nf_ct_tmpl_free" },
	{ 0x8afd7a0b, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x91eb2b0d, "__skb_gso_segment" },
	{ 0x76a89eaa, "up_read" },
	{ 0xc139572a, "skb_mpls_push" },
	{ 0x470a2f89, "register_pernet_device" },
	{ 0x436e2fb9, "nf_conntrack_in" },
	{ 0xa64d54d6, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x2e68141f, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb71a20d7, "kmem_cache_destroy" },
	{ 0xd151c61d, "__skb_vlan_pop" },
	{ 0x937ba88e, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xffcc3044, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AC0920AF4C02966DA61C801");
MODULE_INFO(rhelversion, "9.6");
