#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xe74c21e0, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x3d474e06, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x979e629b, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf32156da, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x30739866, "sock_queue_rcv_skb_reason" },
	{ 0xc4dbf5c1, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0x2ff99012, "radix_tree_insert" },
	{ 0xe64d4035, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x89ce8282, "radix_tree_lookup" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0x1f318d85, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0xa64e177, "__module_get" },
	{ 0x579f478d, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf617eada, "__pskb_copy_fclone" },
	{ 0x38df4e6e, "sk_error_report" },
	{ 0x49746ee0, "skb_queue_purge_reason" },
	{ 0x243aab3d, "radix_tree_iter_delete" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xf3a640a3, "proto_unregister" },
	{ 0x4970ca14, "sock_register" },
	{ 0x1887709f, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0x272a31fb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x29c9679c, "module_put" },
	{ 0xaad06d2, "__xa_alloc" },
	{ 0xdd86ae46, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0xcad4be22, "__traceiter_sk_data_ready" },
	{ 0xa621b6b9, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86c162f4, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0xe45f1327, "xa_load" },
	{ 0xd78fca43, "kernel_getsockname" },
	{ 0xa87d0cb7, "do_wait_intr_irq" },
	{ 0x7b668b0b, "sk_free" },
	{ 0x62bee653, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x7ecd3182, "skb_push" },
	{ 0x612f0ccd, "sock_no_listen" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xef8515e7, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e029dbe, "skb_copy_datagram_iter" },
	{ 0x8905ee40, "sk_alloc" },
	{ 0x1dd3a55d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x7e0f3be, "sock_no_mmap" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x97cce48a, "sock_no_sendpage" },
	{ 0x51d7107d, "__netdev_alloc_skb" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0xfa7cde9c, "__xa_insert" },
	{ 0xce746ea8, "xa_erase" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8a13730c, "skb_set_owner_w" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xa028ffed, "sock_create_kern" },
	{ 0x4b9b2030, "xa_find" },
	{ 0x2006345, "skb_recv_datagram" },
	{ 0x524eae02, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2b349d4, "xa_store" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xb4f263c3, "sock_release" },
	{ 0x26698cde, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5f84747, "xa_find_after" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0xa3b590d4, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xae663102, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x5290eb0a, "release_sock" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
