#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x09b38278, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x0ba294e3, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x1248e963, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x35be6900, "");
SYMBOL_CRC(gss_mech_put, 0x86a2acf7, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xec1c6f27, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x69df2171, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb609bf82, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbd6f1c4b, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xa5daa26f, "xdr_buf_from_iov" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0x1dab642, "xdr_stream_decode_opaque_auth" },
	{ 0xc70aee10, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8652056e, "xdr_write_pages" },
	{ 0xacc0591, "rpc_shutdown_client" },
	{ 0xf4b37c89, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb33369a, "xdr_inline_decode" },
	{ 0x946cbddd, "cache_create_net" },
	{ 0x7d270d48, "rpcauth_destroy_credcache" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x2dab39d5, "bpf_trace_run6" },
	{ 0x4fb1b08, "rpc_net_ns" },
	{ 0xacf79638, "read_bytes_from_xdr_buf" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0x3953ed54, "rpc_wake_up" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x79a5e3ae, "sunrpc_cache_lookup_rcu" },
	{ 0xd9cb2efe, "prepare_to_wait" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x76f7c320, "__put_devmap_managed_page_refs" },
	{ 0xaa850d1d, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x7014d985, "bpf_trace_run2" },
	{ 0x6925a3cc, "prepare_to_wait_event" },
	{ 0xc62e0fef, "xdr_truncate_decode" },
	{ 0xbd59c881, "rpcauth_unregister" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0x1bac8447, "__xdr_commit_encode" },
	{ 0xa64e177, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe0798e6e, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x2d0a9e1b, "__put_cred" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0x49c17f17, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x38cbe530, "rpc_release_client" },
	{ 0x77685821, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb72b6370, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfb9c7cdf, "svc_auth_register" },
	{ 0x5e5a7832, "xdr_stream_encode_opaque_auth" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x53c168c6, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x492efd04, "rpc_destroy_pipe_data" },
	{ 0xd8a9f5f5, "__free_pages" },
	{ 0x18a2b681, "rpc_pipe_generic_upcall" },
	{ 0x29c9679c, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x709f79ae, "cache_unregister_net" },
	{ 0x4ce181ea, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99fa12a, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x7327dc39, "rpcauth_init_credcache" },
	{ 0x696cb543, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xe225e587, "xdr_init_decode" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0x63fda412, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x73d603aa, "rpc_sleep_on_timeout" },
	{ 0xeeec79c4, "rpc_create" },
	{ 0xea7ca23a, "bpf_trace_run1" },
	{ 0xcbbd79bd, "rpc_call_sync" },
	{ 0xe33b7bc9, "from_kuid" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x68913f6c, "rpc_queue_upcall" },
	{ 0xc10a38ea, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3db34d74, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xc548d928, "svcauth_unix_set_client" },
	{ 0x4cf1b7a3, "xdr_buf_subsegment" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x64acb8d2, "make_kgid" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x85119750, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x33d231b9, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x180d95ed, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0x50b85ce, "__put_net" },
	{ 0x91a8b95d, "rpc_mkpipe_dentry" },
	{ 0x88ac5203, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x205e398, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x1d1e1a8c, "cache_register_net" },
	{ 0xb6c5292f, "init_user_ns" },
	{ 0x7b0b2a2c, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xece59509, "xdr_inline_pages" },
	{ 0x98d17fa2, "__folio_put" },
	{ 0xf0274b23, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x4d11b298, "rpc_init_wait_queue" },
	{ 0xb97c98ed, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x554e4046, "rpc_unlink" },
	{ 0xab08db28, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xa27ad498, "rpcauth_init_cred" },
	{ 0x316dddcf, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5ef4749, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa726a963, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd83fdb04, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xf46ba39c, "sunrpc_cache_update" },
	{ 0x4f80b3ef, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2d02e672, "rpc_destroy_wait_queue" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6e2103fc, "auth_domain_put" },
	{ 0x82c2e636, "rpcauth_unwrap_resp_decode" },
	{ 0x9c6b4622, "rpcauth_register" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
