#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xd56277f8, "");
SYMBOL_CRC(tipc_dump_start, 0xa7f1fbed, "");
SYMBOL_CRC(tipc_dump_done, 0x3ed5c196, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x94046b90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe804d78, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x6bd99e84, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xefc7e8e, "__nlmsg_put" },
	{ 0x86763525, "idr_find" },
	{ 0xe64d4035, "skb_put" },
	{ 0xd1f56ca8, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x12ce65aa, "ip6_dst_hoplimit" },
	{ 0xaac57f2d, "trace_output_call" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0x69349e4a, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xdd987ae0, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xa8846a2d, "__ip_dev_find" },
	{ 0x38700096, "dst_cache_set_ip4" },
	{ 0x4cca0964, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x19b9a1fc, "genlmsg_put" },
	{ 0xe27601f8, "___pskb_trim" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3b24008, "add_wait_queue" },
	{ 0x5c43f025, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x46eb0414, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x9c6a581f, "netdev_warn" },
	{ 0x191cee41, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x34f8bdf2, "crypto_aead_decrypt" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0x8bdf49f1, "kernel_accept" },
	{ 0xa64e177, "__module_get" },
	{ 0x225e71b7, "ip_route_output_flow" },
	{ 0x26254574, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf617eada, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x1b758441, "put_cmsg" },
	{ 0x49746ee0, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0x357ba07a, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf3a640a3, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4970ca14, "sock_register" },
	{ 0x3d7fff09, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0xd827c47d, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x44c97e3b, "skb_try_coalesce" },
	{ 0x272a31fb, "proto_register" },
	{ 0xbb14681, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8a328f1a, "__wake_up_sync_key" },
	{ 0x3d9eca64, "skb_queue_tail" },
	{ 0x29c9679c, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd2a224cc, "idr_remove" },
	{ 0xa4c080bb, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xbdf9f9e, "__dev_get_by_index" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0xcad4be22, "__traceiter_sk_data_ready" },
	{ 0xa621b6b9, "init_net" },
	{ 0x783098e, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9bd21645, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x555a3ed5, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8f039dc0, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x74273998, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xaaea055f, "dev_remove_pack" },
	{ 0x7b668b0b, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4be71806, "kernel_sock_shutdown" },
	{ 0x62bee653, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x7ecd3182, "skb_push" },
	{ 0xe5097049, "dst_cache_get" },
	{ 0x612f0ccd, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x98736b32, "proc_doulongvec_minmax" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5530b9e3, "iov_iter_kvec" },
	{ 0x47beb034, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd9ab762, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xfcbe1a38, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xef8515e7, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e029dbe, "skb_copy_datagram_iter" },
	{ 0xb444daf7, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8905ee40, "sk_alloc" },
	{ 0x1553ec39, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x4ed50fb9, "kfree_skb_partial" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x39f43b61, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x7e0f3be, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0x97cce48a, "sock_no_sendpage" },
	{ 0xf964ef93, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xb3ca9a37, "rhashtable_destroy" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe0fae503, "setup_udp_tunnel_sock" },
	{ 0x6560eec0, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x6675ae4d, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f7f019, "sock_rfree" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0xbb85de1f, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x21395c23, "kernel_listen" },
	{ 0x332bd2e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x50c917b6, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa028ffed, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xe152a236, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9b529369, "dst_cache_set_ip6" },
	{ 0x640f7ae8, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x341b1a3a, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4b24b0ab, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd723b49, "skb_copy" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x7d6dda67, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xb4f263c3, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x2677e2da, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x663c2507, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe144cd90, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf72cf773, "sk_stop_timer" },
	{ 0x1edbe278, "unregister_net_sysctl_table" },
	{ 0x57336016, "genl_unregister_family" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x670f4d7e, "genl_register_family" },
	{ 0xa3b590d4, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe5678661, "skb_to_sgvec" },
	{ 0x963f311a, "rhashtable_walk_exit" },
	{ 0x470a2f89, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xae663102, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x5290eb0a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf719711c, "proc_dointvec_minmax" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "27AFE6C59385FC62672BF2F");
MODULE_INFO(rhelversion, "9.6");
