#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xa1e334e0, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x2b08eb64, "_gpl");
SYMBOL_CRC(tls_get_record, 0x6f9b6a14, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x27b99c6f, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x276197d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3869be0, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c1bb840, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1f348188, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6fd5f240, "tcp_read_sock" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0x41af5f2f, "sk_page_frag_refill" },
	{ 0xe64d4035, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0x53fc4c4f, "sk_psock_msg_verdict" },
	{ 0x2dab39d5, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0xe327fd79, "iov_iter_get_pages2" },
	{ 0xe27601f8, "___pskb_trim" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3b24008, "add_wait_queue" },
	{ 0x76f7c320, "__put_devmap_managed_page_refs" },
	{ 0x8a0e53f2, "clean_acked_data_enable" },
	{ 0x64ee2e45, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x46eb0414, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x191cee41, "crypto_aead_setauthsize" },
	{ 0x34f8bdf2, "crypto_aead_decrypt" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0xe169f94, "sk_stream_error" },
	{ 0x43fdfa37, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1baaa0c8, "sk_msg_memcopy_from_iter" },
	{ 0x38df4e6e, "sk_error_report" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x1b758441, "put_cmsg" },
	{ 0x6f46cdcb, "__sk_flush_backlog" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0x2b1baee0, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0x8b52c371, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x153dcd2d, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0xef79c4f6, "rt_write_unlock" },
	{ 0x2798ebfe, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x396fb185, "tcp_recv_skb" },
	{ 0xa4c080bb, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0x19a1152f, "down_write" },
	{ 0xcad4be22, "__traceiter_sk_data_ready" },
	{ 0xb5586157, "crypto_req_done" },
	{ 0xaa785dec, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8f039dc0, "crypto_aead_encrypt" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0xc487a649, "bpf_trace_run5" },
	{ 0x7b668b0b, "sk_free" },
	{ 0x912dfae9, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x4f511d5f, "__sk_mem_reclaim" },
	{ 0x7bcbb71c, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0x5530b9e3, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0xf9b66b71, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xef8515e7, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9456c1fe, "sk_msg_return_zero" },
	{ 0x3ee155b4, "mutex_lock_interruptible" },
	{ 0x7e029dbe, "skb_copy_datagram_iter" },
	{ 0xea7ca23a, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x258e8960, "sock_efree" },
	{ 0x37a55edb, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc3238f3b, "clean_acked_data_disable" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x57390520, "sk_msg_free_partial" },
	{ 0xc99a7352, "down_read" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x8b9c5470, "mutex_trylock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x366a9fd3, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd897035d, "tcp_register_ulp" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xd1eb9f30, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf6ceb026, "skb_page_frag_refill" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xcedad18f, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7b0b2a2c, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x98d17fa2, "__folio_put" },
	{ 0xf0274b23, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0x73fef1a7, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x71fa37f2, "dst_release" },
	{ 0x6a693dc2, "rt_write_lock" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0x7d7e1746, "skb_copy_header" },
	{ 0x9227c946, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x2677e2da, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe61081f6, "netdev_sk_get_lowest_dev" },
	{ 0xa68515c1, "sk_msg_alloc" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xb9032971, "_copy_from_iter_nocache" },
	{ 0xcc4dd5f, "tcp_rate_check_app_limited" },
	{ 0x461790b9, "tcp_poll" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0xabb7b47f, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe5678661, "skb_to_sgvec" },
	{ 0x76a89eaa, "up_read" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xbbcec555, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xdd54d9e5, "tcp_read_done" },
	{ 0x5290eb0a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
