#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0x8fdc73f2, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0x22a4c495, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0x1edbb596, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0x94774e04, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0xbb0f47eb, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0x69fc357f, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0x5e48d9c0, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x78b39b0e, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0xf1d2b719, "_gpl");
SYMBOL_CRC(coresight_disable, 0xadda4072, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x69fb76e3, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x63c2237e, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x89e16771, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x3d94e0fb, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0xa58c8082, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x52ff9052, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0x49e20252, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0xfa73be15, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0xa91a0d73, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0xfc69020c, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0xc4e2d0b2, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0xd37ba158, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0xb5f9af57, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0x9cc942c2, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0xbd6a8b26, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0x3251a241, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdce9d83f, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0x46a23c0c, "is_acpi_device_node" },
	{ 0x988d598b, "of_fwnode_ops" },
	{ 0x81af2b3b, "config_group_init" },
	{ 0xb8e799e4, "devm_kmalloc" },
	{ 0x7e60f222, "of_get_next_parent" },
	{ 0xb3f34b17, "dev_set_name" },
	{ 0x37cfe3e3, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5d5e26, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbace82d0, "sysfs_add_file_to_group" },
	{ 0x291342f0, "device_unregister" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x9c27c782, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xd1ddcece, "processors" },
	{ 0x178497a1, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x970b665a, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9a15f970, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7c221dd5, "configfs_unregister_subsystem" },
	{ 0xa3f22527, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ee7d122, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x62b030a2, "put_device" },
	{ 0xf492dc1b, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb43b3197, "bus_for_each_dev" },
	{ 0x62901da0, "_dev_info" },
	{ 0x31c4d907, "config_item_set_name" },
	{ 0x29c9679c, "module_put" },
	{ 0x331a96c6, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0xbcc8b618, "sysfs_remove_link_from_group" },
	{ 0xd3999338, "perf_pmu_register" },
	{ 0x66cc4d3e, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe54579e4, "bus_unregister" },
	{ 0x9668c7e8, "devm_kfree" },
	{ 0x18d5f995, "_dev_err" },
	{ 0xc9688f32, "bus_find_device" },
	{ 0xbfe5dbaa, "configfs_register_subsystem" },
	{ 0x5f081a31, "__of_parse_phandle_with_args" },
	{ 0x6587dde3, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8e50a9de, "config_group_init_type_name" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x2b954d56, "perf_pmu_unregister" },
	{ 0x7557d596, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x7b0d3936, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x15870d77, "of_graph_get_next_endpoint" },
	{ 0x73128e42, "sysfs_remove_file_from_group" },
	{ 0xe019e978, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xad817ce, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x4a82bb61, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4f736cf4, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x4ca30b22, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x180a151, "devm_kasprintf" },
	{ 0x694b1ddb, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcb1ff5bf, "fwnode_property_present" },
	{ 0x7fc8f480, "__pm_runtime_resume" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xbca8280d, "acpi_fetch_acpi_dev" },
	{ 0x2f1b4e63, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xffc03209, "amba_bustype" },
	{ 0x4c08adb7, "platform_bus_type" },
	{ 0x4921a1d5, "sysfs_add_link_to_group" },
	{ 0xaeebc70b, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x46336408, "of_node_name_eq" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xc0dac49c, "perf_aux_output_flag" },
	{ 0x30a2e2bf, "configfs_unregister_group" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xad97b897, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd9ac68b4, "__dev_fwnode" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x432e384c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
