#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x28c5e447, "");
SYMBOL_CRC(dm_snap_cow, 0xc46c2c70, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xd1380746, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x0c5ef643, "");
SYMBOL_CRC(dm_exception_store_create, 0xbbceb4d5, "");
SYMBOL_CRC(dm_exception_store_destroy, 0xf21c9be6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98849006, "bio_associate_blkg" },
	{ 0x1684cb71, "dm_internal_resume_fast" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0x1217c23c, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc70aee10, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc2e661cd, "dm_per_bio_data" },
	{ 0xe3f17345, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8546dd8b, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x4f5a47e7, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x36c015e0, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6925a3cc, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0xcc779ee4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a037c61, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x8d3b73c9, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdc865c5, "mempool_alloc" },
	{ 0x3109a73, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x29c9679c, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc6e42a9b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x19a1152f, "down_write" },
	{ 0xaa785dec, "up_write" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xaab38155, "__wake_up_locked" },
	{ 0xc57f8703, "dm_suspended" },
	{ 0x892b7767, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x27995a6e, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x34236342, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd03228c0, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0xedccbccc, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3a9ed64d, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0x54ab71ee, "dm_table_event" },
	{ 0x854ab9c3, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x7f9e23a, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc99a7352, "down_read" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc13fb1cc, "dm_kcopyd_copy" },
	{ 0x5d56ab98, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x294f33aa, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x6857763e, "blkdev_issue_flush" },
	{ 0x2677e2da, "remove_wait_queue" },
	{ 0x23e77549, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x2857d38a, "dm_io" },
	{ 0x61f8c524, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x76a89eaa, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0x7cc46b52, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x4cc0ce76, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb71a20d7, "kmem_cache_destroy" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "E733703757C08D5A4B8DEBE");
MODULE_INFO(rhelversion, "9.6");
