#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xb55d586e, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x539dc113, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x65641d75, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x693bad9e, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x974b568e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5fd6428, "__do_once_done" },
	{ 0x8944e51f, "ip6_route_input_lookup" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xefa62156, "dev_pre_changeaddr_notify" },
	{ 0x162f33be, "dev_mc_sync" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0x8c29d551, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4f3abc42, "netdev_update_features" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0x6329e5b1, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x3542b91, "dev_uc_sync" },
	{ 0xcdbc7460, "rtnl_link_register" },
	{ 0xf8a1f544, "netif_inherit_tso_max" },
	{ 0x3be643d, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x225e71b7, "ip_route_output_flow" },
	{ 0x8e8ef16b, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xbb3f30ad, "dev_uc_unsync" },
	{ 0x4d804b07, "ether_setup" },
	{ 0x7efe9ab8, "netdev_err" },
	{ 0xf6f46e9c, "netdev_upper_dev_link" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xec453659, "eth_header_parse" },
	{ 0x723b2936, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xff81b5b5, "eth_header_cache_update" },
	{ 0xdd46cdc9, "nf_register_net_hooks" },
	{ 0xbabde035, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf8f7c13e, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbdf9f9e, "__dev_get_by_index" },
	{ 0x3ff3301d, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9bd21645, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x563494, "netif_stacked_transfer_operstate" },
	{ 0x95febde5, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xcb149792, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xed038c8b, "ns_capable" },
	{ 0xcffe989, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4576c5e3, "ethtool_op_get_link" },
	{ 0x57aca4fd, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0xf964ef93, "netif_rx" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb74af7f1, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x332bd2e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf5fb4eb, "vlan_vid_add" },
	{ 0xbd8478c5, "call_netdevice_notifiers" },
	{ 0x5b3cc1cb, "vlan_vid_del" },
	{ 0x9062988, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x71fa37f2, "dst_release" },
	{ 0x4288743a, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6665c7, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xba4f85ed, "dev_mc_unsync" },
	{ 0xf28b2412, "dev_change_flags" },
	{ 0x9f15eea4, "netdev_core_stats_inc" },
	{ 0x4aa8215b, "dev_forward_skb" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xffcc3044, "register_netdevice" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DC426A50787DA41CE361D7B");
MODULE_INFO(rhelversion, "9.6");
