#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x68744559, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x9fdd349f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78ce09ee, "fasync_helper" },
	{ 0xa37ffc57, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdc2c3a03, "netdev_info" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xed583703, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xecf4dd9e, "from_kgid_munged" },
	{ 0xfd863517, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x859e3439, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf649616f, "dev_get_tstats64" },
	{ 0xa2918251, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0xcdbc7460, "rtnl_link_register" },
	{ 0xc83b49d3, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x51725846, "misc_deregister" },
	{ 0x3ff3301d, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x8ed5695e, "xdp_return_frame" },
	{ 0x8a328f1a, "__wake_up_sync_key" },
	{ 0xd81bfe58, "kill_fasync" },
	{ 0x6171fb1, "netif_carrier_on" },
	{ 0x79f7bfd2, "netif_carrier_off" },
	{ 0xd0755f88, "bpf_prog_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x639ee2d4, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xb3c38a18, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6de14e9c, "skb_copy_ubufs" },
	{ 0x9f15eea4, "netdev_core_stats_inc" },
	{ 0x3737a56e, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xb61238b0, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe27601f8, "___pskb_trim" },
	{ 0xf0170300, "__skb_get_hash_symmetric_net" },
	{ 0xd9a066c6, "build_skb" },
	{ 0xe64d4035, "skb_put" },
	{ 0x8a13730c, "skb_set_owner_w" },
	{ 0x8905ee40, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x1ad3e02, "sock_init_data_uid" },
	{ 0x7b668b0b, "sk_free" },
	{ 0x5d7cc7f7, "napi_gro_receive" },
	{ 0xbcb38eb9, "napi_complete_done" },
	{ 0x91559cb, "xdp_do_redirect" },
	{ 0xac8f9419, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x5ca9e925, "__traceiter_xdp_exception" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbd5ce40b, "xdp_return_frame_rx_napi" },
	{ 0x409b71a7, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb3b24008, "add_wait_queue" },
	{ 0x2677e2da, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x49746ee0, "skb_queue_purge_reason" },
	{ 0xedffa2d8, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9f8a94b0, "xdp_rxq_info_unreg" },
	{ 0x5261cc0a, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x29c9679c, "module_put" },
	{ 0xcfb0f5ff, "napi_get_frags" },
	{ 0xbaca5ebc, "iov_iter_single_seg_count" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa0d8977b, "netif_set_real_num_tx_queues" },
	{ 0xe55a23b1, "netif_set_real_num_rx_queues" },
	{ 0x8e8ef16b, "unregister_netdevice_queue" },
	{ 0xd5700c68, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x183b46e9, "__skb_flow_dissect" },
	{ 0x38eb37ea, "skb_partial_csum_set" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x4966d08, "xdp_rxq_info_is_reg" },
	{ 0x687fae19, "__xdp_rxq_info_reg" },
	{ 0xf49b2e9e, "xdp_rxq_info_reg_mem_model" },
	{ 0x7d16a2d, "netif_napi_add_weight" },
	{ 0x87023f75, "napi_enable" },
	{ 0xef8515e7, "lock_sock_nested" },
	{ 0x62b0244c, "sk_attach_filter" },
	{ 0x5290eb0a, "release_sock" },
	{ 0xdaa1c00f, "__dev_get_by_name" },
	{ 0xed038c8b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x2d4e9c6f, "alloc_netdev_mqs" },
	{ 0xf5e23a02, "ip_tunnel_header_ops" },
	{ 0xffcc3044, "register_netdevice" },
	{ 0x4caa3ad8, "netif_tx_wake_queue" },
	{ 0x4d804b07, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x90805612, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdf89d9df, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7e029dbe, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xccb3524a, "iov_iter_advance" },
	{ 0x7efe9ab8, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf9b66b71, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9ff1abfc, "bpf_prog_get_type_dev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x9e84a54a, "__page_frag_cache_drain" },
	{ 0x357ba07a, "eth_type_trans" },
	{ 0x71077ac, "xdp_master_redirect" },
	{ 0x63ea9e93, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x98d17fa2, "__folio_put" },
	{ 0x76f7c320, "__put_devmap_managed_page_refs" },
	{ 0xf6ceb026, "skb_page_frag_refill" },
	{ 0x472efc5d, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe804d74e, "_copy_from_iter" },
	{ 0xbbcec555, "iov_iter_npages" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x36ce101f, "skb_copy_datagram_from_iter" },
	{ 0x524eae02, "sock_alloc_send_pskb" },
	{ 0x18462dbb, "zerocopy_sg_from_iter" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x7ecd3182, "skb_push" },
	{ 0xccdc7ad2, "eth_get_headlen" },
	{ 0x381fd284, "napi_gro_frags" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x7ca6f765, "napi_schedule_prep" },
	{ 0x3d7a5847, "__napi_schedule" },
	{ 0x8d93bb13, "get_net_ns" },
	{ 0x14c76f4a, "open_related_ns" },
	{ 0xa3c60055, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x64acb8d2, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x4f3abc42, "netdev_update_features" },
	{ 0xe19cb54a, "dev_set_mac_address_user" },
	{ 0x53c168c6, "make_kuid" },
	{ 0xb6c5292f, "init_user_ns" },
	{ 0xe33b7bc9, "from_kuid" },
	{ 0xfbe15926, "sk_detach_filter" },
	{ 0xbd8478c5, "call_netdevice_notifiers" },
	{ 0xa64e177, "__module_get" },
	{ 0x2fdba7d, "from_kgid" },
	{ 0x4576c5e3, "ethtool_op_get_link" },
	{ 0x72f1c941, "ethtool_op_get_ts_info" },
	{ 0x6e11aa65, "passthru_features_check" },
	{ 0xa8f84beb, "eth_mac_addr" },
	{ 0x30bd053, "eth_validate_addr" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4264757A94033474468135");
MODULE_INFO(rhelversion, "9.6");
