#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xfec1f18d, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x5e47abe9, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x776a4ae2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa28f37e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xb9e2e104, "__skb_checksum_complete" },
	{ 0x11e26e51, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0xefc7e8e, "__nlmsg_put" },
	{ 0xc34f1f43, "netdev_adjacent_change_commit" },
	{ 0xa8f84beb, "eth_mac_addr" },
	{ 0xe64d4035, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b79bf23, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12ce65aa, "ip6_dst_hoplimit" },
	{ 0xf9b96afc, "param_ops_ushort" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xdd987ae0, "udp_sock_create4" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x4cca0964, "udp_tunnel6_xmit_skb" },
	{ 0xcdbc7460, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x1005ba, "__unregister_nexthop_notifier" },
	{ 0xf8a1f544, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x30bd053, "eth_validate_addr" },
	{ 0x5c43f025, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7ca23933, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf2790c2a, "rtnl_create_link" },
	{ 0x8e8ef16b, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb605b9db, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4d804b07, "ether_setup" },
	{ 0x3b771cc, "udp_tunnel_drop_rx_port" },
	{ 0xf6f46e9c, "netdev_upper_dev_link" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x357ba07a, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0xbb5eade2, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa36eb664, "eth_gro_complete" },
	{ 0xb613e39a, "rtnl_set_sk_err" },
	{ 0xff1ed91d, "eth_gro_receive" },
	{ 0x6b47b07f, "rtnl_configure_link" },
	{ 0x7399ca6f, "skb_tunnel_check_pmtu" },
	{ 0xc190f8ba, "udp_tunnel_dst_lookup" },
	{ 0xbddf1c33, "rtnl_unicast" },
	{ 0x2b76d820, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x3af2349, "__skb_get_hash_net" },
	{ 0x5cc96aba, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbdf9f9e, "__dev_get_by_index" },
	{ 0x3ff3301d, "rtnl_link_unregister" },
	{ 0x783098e, "ipv6_stub" },
	{ 0x9bd21645, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xc60e6487, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8986e434, "dev_get_by_index_rcu" },
	{ 0xfb9d4f0a, "gro_cells_receive" },
	{ 0x7ecd3182, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x95febde5, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x90805612, "free_netdev" },
	{ 0x47beb034, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32ff2e19, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xef8515e7, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4576c5e3, "ethtool_op_get_link" },
	{ 0xc707e39c, "nexthop_find_by_id" },
	{ 0x77a2f5d0, "arp_create" },
	{ 0x57aca4fd, "__ethtool_get_link_ksettings" },
	{ 0xf6eee920, "netdev_adjacent_change_prepare" },
	{ 0xe2fe983e, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3397a055, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0x5b75017c, "netdev_adjacent_change_abort" },
	{ 0x39f43b61, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8032e4b2, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15a1b02d, "__iptunnel_pull_header" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0xf649616f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf964ef93, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb3ca9a37, "rhashtable_destroy" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe0fae503, "setup_udp_tunnel_sock" },
	{ 0x6560eec0, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xce3fb00, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb74af7f1, "skb_scrub_packet" },
	{ 0x8078153e, "nexthop_select_path" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7f14a67b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x91958672, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb3780830, "param_ops_bool" },
	{ 0x6d2e8ab, "udp_tun_rx_dst" },
	{ 0x9a0a8c6d, "rtnl_notify" },
	{ 0x341b1a3a, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x48ed322b, "__netif_rx" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x16930a03, "metadata_dst_alloc" },
	{ 0x71fa37f2, "dst_release" },
	{ 0x6dc1db9, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x34b98142, "udp_tunnel_notify_del_rx_port" },
	{ 0x5e953837, "register_nexthop_notifier" },
	{ 0xe9f8c1fa, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2b712589, "gro_find_receive_by_type" },
	{ 0x9f15eea4, "netdev_core_stats_inc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xdc2c3a03, "netdev_info" },
	{ 0xf9655522, "neigh_lookup" },
	{ 0x5290eb0a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xffcc3044, "register_netdevice" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
