#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x02296c98, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xc7684379, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x8616ee54, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x21858776, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xb189c4f5, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x44222b6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6613b007, "ida_alloc_range" },
	{ 0x2f27f08e, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xefc7e8e, "__nlmsg_put" },
	{ 0xe64d4035, "skb_put" },
	{ 0xb3f34b17, "dev_set_name" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x291342f0, "device_unregister" },
	{ 0x516fdb86, "skb_dequeue" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0xcdbc7460, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x920c9fd, "device_for_each_child" },
	{ 0x6925a3cc, "prepare_to_wait_event" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0xf2790c2a, "rtnl_create_link" },
	{ 0x8e8ef16b, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49746ee0, "skb_queue_purge_reason" },
	{ 0x2d4e9c6f, "alloc_netdev_mqs" },
	{ 0x9f441179, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x62b030a2, "put_device" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0x62901da0, "_dev_info" },
	{ 0x3d9eca64, "skb_queue_tail" },
	{ 0x6b47b07f, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3ff3301d, "rtnl_link_unregister" },
	{ 0xa621b6b9, "init_net" },
	{ 0x9bd21645, "skb_pull" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x36315e9c, "noop_llseek" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xbc541469, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0xcb149792, "ida_free" },
	{ 0x90805612, "free_netdev" },
	{ 0xa2b6863d, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe6e05892, "class_dev_iter_init" },
	{ 0xad817ce, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x717e31d, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb306463a, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x6e136535, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x41625b0d, "debugfs_create_dir" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x46dcabfc, "class_register" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xbdcc7a6f, "skb_queue_head" },
	{ 0x32e2b2ab, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xffcc3044, "register_netdevice" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
