#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xa2abef6a, "");
SYMBOL_CRC(sas_remove_host, 0xa4500624, "");
SYMBOL_CRC(sas_get_address, 0x3aa8a5b9, "");
SYMBOL_CRC(sas_tlr_supported, 0xac504b1d, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xa1d9a724, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x4ccc932c, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x84ee2dbe, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x9770e736, "");
SYMBOL_CRC(sas_phy_add, 0x2496a6a4, "");
SYMBOL_CRC(sas_phy_free, 0x86996350, "");
SYMBOL_CRC(sas_phy_delete, 0x331ea88f, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x8af09d52, "");
SYMBOL_CRC(sas_port_alloc, 0x1d9cabb6, "");
SYMBOL_CRC(sas_port_alloc_num, 0x78f29391, "");
SYMBOL_CRC(sas_port_add, 0x2192d1aa, "");
SYMBOL_CRC(sas_port_free, 0x5f5d2264, "");
SYMBOL_CRC(sas_port_delete, 0xe501a6ca, "");
SYMBOL_CRC(scsi_is_sas_port, 0x05772feb, "");
SYMBOL_CRC(sas_port_get_phy, 0x41ec0fce, "");
SYMBOL_CRC(sas_port_add_phy, 0xa884f462, "");
SYMBOL_CRC(sas_port_delete_phy, 0xd3daf347, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xd69c1a8b, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x605ddeeb, "");
SYMBOL_CRC(sas_end_device_alloc, 0x3af11216, "");
SYMBOL_CRC(sas_expander_alloc, 0xe97f4869, "");
SYMBOL_CRC(sas_rphy_add, 0x80643f8b, "");
SYMBOL_CRC(sas_rphy_free, 0x8b864e82, "");
SYMBOL_CRC(sas_rphy_delete, 0xe9e078c8, "");
SYMBOL_CRC(sas_rphy_unlink, 0x58581780, "");
SYMBOL_CRC(sas_rphy_remove, 0x6cead139, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xb6e4634b, "");
SYMBOL_CRC(sas_attach_transport, 0x51d0a94a, "");
SYMBOL_CRC(sas_release_transport, 0x63c25779, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x920c9fd, "device_for_each_child" },
	{ 0x62b030a2, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a644c2f, "device_add" },
	{ 0x1c9df50e, "transport_add_device" },
	{ 0x29402cc7, "transport_configure_device" },
	{ 0x212b2694, "device_del" },
	{ 0x89f82d2d, "transport_destroy_device" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x970b665a, "get_device" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x331a96c6, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x31e8bacd, "scsi_scan_target" },
	{ 0xf4a46596, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x8ce31d05, "transport_class_register" },
	{ 0xf9429eac, "transport_class_unregister" },
	{ 0xe228b3a7, "transport_remove_device" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x30477561, "attribute_container_register" },
	{ 0x6587dde3, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6f6d227, "dev_printk" },
	{ 0xfc0f157f, "scsi_mode_sense" },
	{ 0x8b5786f1, "attribute_container_unregister" },
	{ 0xe6078d26, "scsi_remove_host" },
	{ 0x902d94fd, "bsg_remove_queue" },
	{ 0xcde1c44c, "scsi_remove_target" },
	{ 0x39534a5e, "scsi_is_host_device" },
	{ 0x4a82bb61, "_dev_warn" },
	{ 0x174e86e4, "bsg_job_done" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0xd2edf75b, "dma_opt_mapping_size" },
	{ 0xefdbd851, "device_initialize" },
	{ 0xb3f34b17, "dev_set_name" },
	{ 0x2ed4b053, "transport_setup_device" },
	{ 0xc6b05fa5, "scsi_get_vpd_page" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
