#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xff74ea94, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x56b6f36e, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xffb24f1a, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x5791355f, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x95250e07, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x9642f27b, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xb7158e71, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xfaed9f99, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xfa8a9aba, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x2c428501, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x2a0158e7, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x8252cb4d, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x715ef3de, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xda4cec34, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xf6f5f85d, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x31a3e96b, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x79404699, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xb1a9b592, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x027d40c7, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x27717d5a, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xfab9d757, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x6ec002ab, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x75bf1b6f, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x4c4e300c, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x4813101a, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x2aacad24, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x523b58fe, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x4a1b9e8e, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xf50d33c8, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xc3943790, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xb59d838f, "_gpl");
SYMBOL_CRC(nfs_create, 0x4c96cf43, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xf1245c8a, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x285796f6, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xc4af9c1b, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x781ef2e4, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x09fdfbfb, "_gpl");
SYMBOL_CRC(nfs_link, 0xe760f353, "_gpl");
SYMBOL_CRC(nfs_rename, 0x91217158, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x8e2a6db6, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xe52aecb7, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xeb3b9873, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x4ac97270, "_gpl");
SYMBOL_CRC(nfs_permission, 0x250434e8, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xdd8c362f, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xfc96c55f, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x09fb5586, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xd43142fb, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x46eb6e70, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x39e8f783, "_gpl");
SYMBOL_CRC(nfs_lock, 0x868526ff, "_gpl");
SYMBOL_CRC(nfs_flock, 0x2de35c34, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x4716b70f, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x56421ea3, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xf30523e1, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x6334d074, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xd91ff9f6, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xa42a899b, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xa076f715, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xf443cde7, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x5bb38758, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x390b8cf6, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x907be924, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xcec777a9, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xad33603d, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xc1471ebb, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x8c2b1361, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x1de9134d, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xf4f97acb, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xfeaf8d05, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x69f163af, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x624968a3, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xa1f0d7c2, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x248c898d, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x15a54a59, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x020a2cc2, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0xfeeb6043, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xc270f40b, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x3f3495ee, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x2b8679a8, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x483d2884, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x6eeb51fb, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xe12fe4d9, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x2c7b4a34, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x2fad02bc, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x62c7841e, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x2a3474c1, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xc55c357c, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xbd5c1bda, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xa14a02f3, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xdea010f9, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x7699ad54, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x1bae315a, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x46395ca9, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xb82ed02f, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x26aca230, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x332e6d1a, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xf451b836, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xe72edb97, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x1169995d, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x52a2ff59, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x21a808c6, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xcd6b4ffd, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x7ec2c857, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x514b4242, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x6623288e, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x1393f2d4, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0xc7a9b9e7, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x0d4bcb9b, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x729e310f, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xb11240c6, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xefd3d2dc, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x477e71a9, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xec2bfa80, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x91a1bd18, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xd12794f5, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x7855c3f6, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x49efa314, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xe2eb4028, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x21116bae, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x922237bc, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x0139b488, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xc2833274, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xedadb3c4, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xd22ecf9f, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x47c4789c, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x6ec80d65, "_gpl");
SYMBOL_CRC(nfs_path, 0x8199e080, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x0b9bd34e, "_gpl");
SYMBOL_CRC(nfs_submount, 0x830933fd, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x9235467b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x645132d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x2ad4f918, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x8f13bc99, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x9186cf5c, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x187eea47, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x480ebe98, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xff339b31, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xfe084efd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb609bf82, "rpc_put_task" },
	{ 0x83825616, "super_setup_bdi_name" },
	{ 0x67abadf1, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa3369471, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfcca4a37, "filemap_fdatawrite" },
	{ 0xe1f5e41c, "generic_fillattr" },
	{ 0xae4927b2, "vfs_fsync_range" },
	{ 0x6613b007, "ida_alloc_range" },
	{ 0xbd2144fb, "clear_nlink" },
	{ 0xd429dd20, "file_check_and_advance_wb_err" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xda7ac8e3, "d_alloc_parallel" },
	{ 0x1f348188, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1217c23c, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3459d24b, "clear_inode" },
	{ 0x74b8decb, "inode_to_bdi" },
	{ 0xf6cc53a8, "bpf_trace_run4" },
	{ 0x85d908b0, "__fscache_acquire_volume" },
	{ 0xa8192f29, "ida_destroy" },
	{ 0x2ac9c2be, "param_ops_ulong" },
	{ 0x19425b0c, "proc_dointvec_jiffies" },
	{ 0x1359b9df, "rpc_proc_register" },
	{ 0x780079bf, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1d897fd5, "sysfs_create_file_ns" },
	{ 0xacc0591, "rpc_shutdown_client" },
	{ 0xdf4407ef, "fs_param_is_string" },
	{ 0x7c09c6ee, "folio_unlock" },
	{ 0xee10f341, "mnt_set_expiry" },
	{ 0xf9b96afc, "param_ops_ushort" },
	{ 0x2705b72f, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd78efe90, "generic_file_splice_read" },
	{ 0x7d6046f4, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa8daceac, "filemap_map_pages" },
	{ 0x811bd527, "__fscache_begin_read_operation" },
	{ 0xbb33369a, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad26ac16, "trace_raw_output_prep" },
	{ 0x6306a321, "kobject_rename" },
	{ 0x4908992a, "security_sb_set_mnt_opts" },
	{ 0xeef33a37, "init_special_inode" },
	{ 0xcd847dcd, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x54d397a9, "filemap_fdatawrite_range" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0xa7d50526, "folio_wait_bit_killable" },
	{ 0xa8a6cc1, "finish_wait" },
	{ 0x3953ed54, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x2d77f302, "d_make_root" },
	{ 0xa006dd9e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb652b772, "sync_filesystem" },
	{ 0xff859b, "__fscache_unuse_cookie" },
	{ 0x95c91ba7, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x22a1d385, "sget_fc" },
	{ 0xfb32d2f0, "d_splice_alias" },
	{ 0x88a7a4e0, "generic_error_remove_page" },
	{ 0x3204b3de, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x6a03c546, "unmap_mapping_range" },
	{ 0x3d7b96af, "ihold" },
	{ 0x4314b156, "inode_dio_wait" },
	{ 0xcc0b6434, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x334829e9, "invalidate_inode_pages2_range" },
	{ 0x6b73fb5, "read_cache_page" },
	{ 0xfe5b35bf, "finish_open" },
	{ 0xcf9ea7f, "iput" },
	{ 0x7a4d6458, "kset_unregister" },
	{ 0x6698fea4, "security_sb_clone_mnt_opts" },
	{ 0x192f2234, "fs_param_is_enum" },
	{ 0xacce0eba, "logfc" },
	{ 0x76f7c320, "__put_devmap_managed_page_refs" },
	{ 0x7133da4c, "iter_file_splice_write" },
	{ 0x251c1f46, "rpc_pton" },
	{ 0xeb2bd9ff, "mod_node_page_state" },
	{ 0x2e5c2b59, "rpc_wake_up_queued_task" },
	{ 0x7014d985, "bpf_trace_run2" },
	{ 0x6925a3cc, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc2ea3cb1, "remove_proc_subtree" },
	{ 0x98c9b353, "rpc_restart_call_prepare" },
	{ 0x783ef2db, "d_lookup" },
	{ 0xd4fb5913, "event_triggers_call" },
	{ 0xd8d177b0, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa64e177, "__module_get" },
	{ 0x109ced68, "__fscache_relinquish_cookie" },
	{ 0x97bda1c0, "register_filesystem" },
	{ 0xcc779ee4, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfba5dd34, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a037c61, "mempool_free" },
	{ 0x36b688e4, "filemap_add_folio" },
	{ 0xe0798e6e, "rpc_sleep_on" },
	{ 0xdb9801eb, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc44a0e8e, "netfs_readahead" },
	{ 0x8ce5dc8b, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdca504b5, "d_prune_aliases" },
	{ 0x2d0a9e1b, "__put_cred" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0xd846ea68, "rpc_cancel_tasks" },
	{ 0x7c67223c, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xa864a727, "migrate_folio" },
	{ 0xa44dfa1f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xcf563b03, "fs_param_is_u32" },
	{ 0xcda1a200, "inode_newsize_ok" },
	{ 0x9f1cc999, "d_drop" },
	{ 0x4f33deae, "deactivate_super" },
	{ 0x86bf7dbf, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x2521a0c9, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xdf65956, "security_sb_mnt_opts_compat" },
	{ 0x67d3518a, "param_get_uint" },
	{ 0x693879f2, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x46b46052, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4856b07f, "trace_event_ignore_this_pid" },
	{ 0x53c168c6, "make_kuid" },
	{ 0x762c1b80, "truncate_inode_pages_final" },
	{ 0xa67bb629, "d_alloc" },
	{ 0xaae32f10, "fs_kobj" },
	{ 0xabd3c53b, "net_ns_type_operations" },
	{ 0x59fb8f70, "__filemap_set_wb_err" },
	{ 0xe352bf97, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x95814baf, "generic_perform_write" },
	{ 0xbcca622a, "__filemap_get_folio" },
	{ 0xfdc865c5, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xc7520777, "simple_nosetlease" },
	{ 0x3109a73, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x29c9679c, "module_put" },
	{ 0x6f2b8c9, "__var_waitqueue" },
	{ 0xbf2e7f3e, "rpc_setbufsize" },
	{ 0x612b17b0, "fs_context_for_submount" },
	{ 0xc65cbd3b, "inode_init_once" },
	{ 0xe544b3ea, "folio_wait_private_2" },
	{ 0xbe0116af, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xd2a224cc, "idr_remove" },
	{ 0x6bc72d83, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x64d92af, "ilookup5" },
	{ 0x9242f9d7, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x752f5c06, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9215bdad, "perf_trace_run_bpf_submit" },
	{ 0x6acd883d, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0x19a1152f, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xaa785dec, "up_write" },
	{ 0xe734358c, "generic_file_read_iter" },
	{ 0xbb9b003c, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xdd796f49, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x337a5fa5, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe9d6fb84, "put_fs_context" },
	{ 0x86df27df, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x869ad6f2, "kobj_sysfs_ops" },
	{ 0xe45f1327, "xa_load" },
	{ 0xc487a649, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xade91a88, "write_cache_pages" },
	{ 0x7bb885a, "set_nlink" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0x27995a6e, "kmem_cache_free" },
	{ 0x71a721f8, "rpc_max_payload" },
	{ 0x42f12e2a, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x56dbaeb, "d_move" },
	{ 0x93162863, "seq_putc" },
	{ 0x1453de8c, "rpc_proc_unregister" },
	{ 0xbf22aa19, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1b1c48bc, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xdd6b19cc, "folio_wait_writeback" },
	{ 0xcb149792, "ida_free" },
	{ 0x429adafb, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xebc61f20, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x94aa8db0, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb003d4cd, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xeeec79c4, "rpc_create" },
	{ 0x70af5ffc, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x90f560ea, "__folio_start_writeback" },
	{ 0x3b9cff1, "d_obtain_root" },
	{ 0xea7ca23a, "bpf_trace_run1" },
	{ 0x7dc39ce5, "param_ops_short" },
	{ 0x1553ec39, "idr_destroy" },
	{ 0x2681d687, "folio_end_writeback" },
	{ 0xcbbd79bd, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd70f9b75, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x595bb693, "rpc_put_task_async" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x83dce975, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4ae3c4a8, "__init_waitqueue_head" },
	{ 0xf191f7d5, "rpc_exit" },
	{ 0x64acb8d2, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x4209a6f7, "d_delete" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xfc84a407, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x23e3739c, "nfs_ssc_unregister" },
	{ 0xe1835ec9, "rpc_killall_tasks" },
	{ 0xc99a7352, "down_read" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x33d231b9, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3a753810, "iov_iter_get_pages_alloc2" },
	{ 0xf57a7a35, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x27c8d178, "bpf_trace_run3" },
	{ 0x50b85ce, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbd37a89d, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf7f6e6c7, "generic_read_dir" },
	{ 0x4958882e, "kobject_del" },
	{ 0xf538e936, "trace_event_buffer_reserve" },
	{ 0x2054d729, "d_add" },
	{ 0xafad0f0c, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0x9f4cef21, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb3780830, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x3e7ea62, "security_inode_notifysecctx" },
	{ 0xa8984b26, "nfs_ssc_register" },
	{ 0xb6c5292f, "init_user_ns" },
	{ 0x4b9b2030, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x38fee005, "invalidate_inode_pages2" },
	{ 0x7b0b2a2c, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x64809914, "mempool_destroy" },
	{ 0x98d17fa2, "__folio_put" },
	{ 0x97e40b7, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x930eb4b8, "seq_printf" },
	{ 0xdc243fa5, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x4d11b298, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa82e5668, "deactivate_locked_super" },
	{ 0xb97c98ed, "put_rpccred" },
	{ 0x38290aa8, "__percpu_down_read" },
	{ 0x7335c3bf, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x10497562, "kobject_uevent" },
	{ 0x6261559f, "__fscache_invalidate" },
	{ 0xb4209f7b, "folio_mapping" },
	{ 0x908cd1f3, "downgrade_write" },
	{ 0xf1295ff9, "cred_fscmp" },
	{ 0x29750c20, "__folio_lock" },
	{ 0x4881d47c, "filemap_dirty_folio" },
	{ 0xfaf74f4e, "pagecache_get_page" },
	{ 0x56b944cb, "is_bad_inode" },
	{ 0x541220d5, "proc_dointvec" },
	{ 0x2b77362c, "seq_puts" },
	{ 0x77b1da37, "__fscache_use_cookie" },
	{ 0x80032045, "rcuwait_wake_up" },
	{ 0x5d6850ef, "_proc_mkdir" },
	{ 0x76f10ccd, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x48984dff, "seq_escape" },
	{ 0x5b54d56, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x943454be, "__fs_parse" },
	{ 0x18b3c41c, "sysfs_create_link_nowarn" },
	{ 0x9cbc6a82, "dget_parent" },
	{ 0x42d29a8a, "nlmclnt_init" },
	{ 0x5ce12b2b, "kill_anon_super" },
	{ 0xb5f84747, "xa_find_after" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x85299435, "iget5_locked" },
	{ 0xca8c696b, "filemap_write_and_wait_range" },
	{ 0xc62fe64b, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xed0e398a, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb34205de, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x118745e9, "param_ops_int" },
	{ 0xfe029332, "netfs_subreq_terminated" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xd06b07d7, "iov_iter_revert" },
	{ 0x2ff65bc7, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2a919313, "mntget" },
	{ 0x96cd6eec, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x805396db, "kmem_cache_alloc_lru" },
	{ 0x6d93f104, "filemap_fault" },
	{ 0x3a99b109, "d_invalidate" },
	{ 0xf22b998, "__mark_inode_dirty" },
	{ 0x66b82b4a, "generic_file_llseek" },
	{ 0x98e6b5a5, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x76a89eaa, "up_read" },
	{ 0x2bfbfebf, "__mutex_rt_init" },
	{ 0x8b472c56, "rpc_wait_for_completion_task" },
	{ 0x996ab31, "set_anon_super" },
	{ 0x19e012f5, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb71a20d7, "kmem_cache_destroy" },
	{ 0x46b24bae, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1acb7f69, "kobject_put" },
	{ 0xbbba20bf, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "84BE99E6345D8AE04816C30");
MODULE_INFO(rhelversion, "9.6");
