#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xe36325a7, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xcabff0cc, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x90b234e9, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x77672873, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x27fa18ab, "_gpl");
SYMBOL_CRC(br_forward, 0x06d5504c, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xc9242ae7, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xef006100, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x1067fd88, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x7e8a4cd1, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xce4e2280, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x741ee306, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x73a9a8a8, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xfeffdc96, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x2a4c1f93, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xa5f2ea62, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x2f09dfe7, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x95b0520c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xc6c68d4a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x62013a16, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x3199614b, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x71c23729, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xa93ca817, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xba1581d5, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x22f2f900, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf383e3b7, "netdev_lower_get_next" },
	{ 0xdeaaa36b, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xefa62156, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0xefc7e8e, "__nlmsg_put" },
	{ 0xe10c5418, "switchdev_port_attr_set" },
	{ 0xc6adf79a, "ipv6_mc_check_mld" },
	{ 0xe64d4035, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b79bf23, "call_switchdev_notifiers" },
	{ 0x1d897fd5, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4f3abc42, "netdev_update_features" },
	{ 0xfe0277b9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb452432e, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xdd0f0ccc, "__traceiter_br_fdb_update" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x778a3c29, "dev_uc_del" },
	{ 0xcdbc7460, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xeca50902, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0x375ff8e0, "switchdev_port_obj_act_is_deferred" },
	{ 0xb96ef9b1, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xbda8a62f, "dev_set_promiscuity" },
	{ 0x5c43f025, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8e8ef16b, "unregister_netdevice_queue" },
	{ 0xcc779ee4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd5700c68, "netdev_state_change" },
	{ 0xf617eada, "__pskb_copy_fclone" },
	{ 0xdaa1c00f, "__dev_get_by_name" },
	{ 0x4d804b07, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7efe9ab8, "netdev_err" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xee0006ba, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xd5447e67, "arp_xmit" },
	{ 0x9d92d25, "__traceiter_br_mdb_full" },
	{ 0x2d4e9c6f, "alloc_netdev_mqs" },
	{ 0x6e11aa65, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x723b2936, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x64745f08, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ccdeea9, "__alloc_skb" },
	{ 0x3109a73, "kmem_cache_alloc" },
	{ 0xb613e39a, "rtnl_set_sk_err" },
	{ 0x24036a0b, "skb_vlan_pop" },
	{ 0xbddf1c33, "rtnl_unicast" },
	{ 0x331a96c6, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2ce0e569, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x86ce413c, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbdf9f9e, "__dev_get_by_index" },
	{ 0x3ff3301d, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xecd5ac44, "dev_get_port_parent_id" },
	{ 0xa621b6b9, "init_net" },
	{ 0x783098e, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x147bf08d, "inet_confirm_addr" },
	{ 0x9bd21645, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6587dde3, "sysfs_remove_link" },
	{ 0xc49d9708, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd47f511, "rtnl_af_unregister" },
	{ 0xbf98c848, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3d06f989, "arp_send" },
	{ 0x8986e434, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x275a0215, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x7ecd3182, "skb_push" },
	{ 0x27995a6e, "kmem_cache_free" },
	{ 0xdb180571, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x95febde5, "netdev_upper_dev_unlink" },
	{ 0xed583703, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbd97145d, "llc_mac_hdr_init" },
	{ 0x90805612, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xebc61f20, "kobject_init_and_add" },
	{ 0xd7a8b83c, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xed038c8b, "ns_capable" },
	{ 0x278b73a5, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe019e978, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4576c5e3, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x77a2f5d0, "arp_create" },
	{ 0x57aca4fd, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xaafc4541, "stp_proto_register" },
	{ 0xe2fe983e, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0xaaebacfb, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa7dfdc28, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe608af5d, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc40324, "__pskb_pull_tail" },
	{ 0xf649616f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf964ef93, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xfc7aba8a, "ip_mc_check_igmp" },
	{ 0x51d7107d, "__netdev_alloc_skb" },
	{ 0xb3ca9a37, "rhashtable_destroy" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xc0fd54f6, "switchdev_port_obj_del" },
	{ 0x6e97cdd4, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xed64f079, "kobject_create_and_add" },
	{ 0xa1ad475f, "skb_trim" },
	{ 0x476ebd6b, "nf_hook_slow" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xce3fb00, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde222c82, "__ip_mc_inc_group" },
	{ 0xf4f29721, "netdev_walk_all_upper_dev_rcu" },
	{ 0x694b1ddb, "sysfs_remove_group" },
	{ 0xb342499e, "__traceiter_br_fdb_external_learn_add" },
	{ 0xcf8a434a, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xdc27ab9a, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x332bd2e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf5fb4eb, "vlan_vid_add" },
	{ 0x91958672, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x4958882e, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbd8478c5, "call_netdevice_notifiers" },
	{ 0x5fd5b236, "is_skb_forwardable" },
	{ 0x5b3cc1cb, "vlan_vid_del" },
	{ 0x9062988, "dev_set_allmulti" },
	{ 0x69aff552, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2820d70, "netdev_master_upper_dev_get" },
	{ 0x6d442a9a, "ipv6_dev_mc_inc" },
	{ 0x9a0a8c6d, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79f7bfd2, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8b32d8d5, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x425cbc38, "skb_clone" },
	{ 0x16930a03, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x71fa37f2, "dst_release" },
	{ 0x6171fb1, "netif_carrier_on" },
	{ 0x10497562, "kobject_uevent" },
	{ 0x6dc1db9, "arp_tbl" },
	{ 0xba910b18, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4288743a, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xef55e6c8, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x185c3337, "netif_set_tso_max_size" },
	{ 0xd04fd75c, "dev_disable_lro" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0xdfcc620e, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbb543de4, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2bedad7a, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xa27a2894, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x139b8a4, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x151fb9bd, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x16392226, "skb_ext_add" },
	{ 0x8ae0ca5c, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x78d6604, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0xf9655522, "neigh_lookup" },
	{ 0xb71a20d7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1acb7f69, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xffcc3044, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
