#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x99be1075, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x4b12e4ad, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x36e263d3, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x52fcb960, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x2e7ad5d5, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x1cad3a1e, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xc94c864c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x4c242f5e, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xbe2bf06a, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x5511e316, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x31a8930a, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x7e138b4d, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x2b8ed5fd, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x9fddd3e1, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xbf9bffd3, "");
SYMBOL_CRC(nf_nat_follow_master, 0x913d1c68, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x34cb5d36, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xe7ce0502, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x642b4b4a, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xc22e11f4, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xd819b14a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa079092, "nf_ct_ext_add" },
	{ 0xc5fd6428, "__do_once_done" },
	{ 0x854644c1, "nf_conntrack_find_get" },
	{ 0x6dd9003e, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xed081267, "nf_ip6_checksum" },
	{ 0x1021c648, "skb_copy_bits" },
	{ 0x8a97c180, "nf_hook_entries_insert_raw" },
	{ 0x53bb6a54, "xfrm_lookup" },
	{ 0x19700eeb, "nf_ct_seqadj_set" },
	{ 0xe64d4035, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x91ecf5aa, "nf_ct_helper_expectfn_unregister" },
	{ 0x32e499ea, "__xfrm_decode_session" },
	{ 0x24819e5a, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2da00ab3, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6c1ca7a2, "pskb_expand_head" },
	{ 0xb9991194, "register_pernet_subsys" },
	{ 0x80db55d8, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x4b006086, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x33291435, "ipv6_skip_exthdr" },
	{ 0xdd46cdc9, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x26daecce, "nf_ipv6_ops" },
	{ 0x29c9679c, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x9a97c7d5, "nf_conntrack_alter_reply" },
	{ 0xc3189781, "ip_route_me_harder" },
	{ 0x60d633ea, "mutex_lock" },
	{ 0xcb5565f5, "nf_hook_entries_delete_raw" },
	{ 0xa16218e8, "skb_ensure_writable" },
	{ 0xcffe989, "nf_unregister_net_hooks" },
	{ 0x278b73a5, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x22d2425, "unregister_pernet_subsys" },
	{ 0x55002af7, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x604c6bc6, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x7a4cd5cd, "nf_ip_checksum" },
	{ 0x67c46b9f, "rt_spin_unlock" },
	{ 0xf57a8ee9, "register_btf_kfunc_id_set" },
	{ 0xf016f9dc, "nf_ct_iterate_destroy" },
	{ 0x9ec88111, "inet_proto_csum_replace16" },
	{ 0x56a56e06, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x50b85ce, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x64834a31, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x549a67dd, "__skb_checksum" },
	{ 0x64895b51, "mutex_unlock" },
	{ 0xa834155e, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1e899cfd, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x71fa37f2, "dst_release" },
	{ 0xe0b058ce, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x54b35d4f, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "EEB9ABC658119093C34A105");
MODULE_INFO(rhelversion, "9.6");
