#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0xb820a57e, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e13daf8, "tpm_transmit_cmd" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xea6efc06, "look_up_OID" },
	{ 0x4a5e770c, "unregister_key_type" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x96511ee8, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8da8896c, "register_key_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc660b937, "crypto_destroy_tfm" },
	{ 0xc62da898, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x62b030a2, "put_device" },
	{ 0xeb7d7922, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf9b0c7ce, "tpm_default_chip" },
	{ 0x8ddaf503, "crypto_shash_setkey" },
	{ 0x87d0048f, "user_describe" },
	{ 0x5a921311, "strncmp" },
	{ 0xc2c893e5, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4e6ec90, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0xfae272cf, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfaa62c49, "param_ops_charp" },
	{ 0xc742e4e1, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6e776b49, "tpm_is_tpm2" },
	{ 0x7ea75205, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1442aa24, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa095f8a5, "tpm_put_ops" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe1673a6d, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x8bf08bb1, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x734a685e, "kmalloc_caches" },
	{ 0x3eee7372, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder");


MODULE_INFO(srcversion, "45D25DB187D2B9407D5966F");
MODULE_INFO(rhelversion, "9.6");
